Bug 560331 - ValueError: list.remove(x): x not in list
Summary: ValueError: list.remove(x): x not in list
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: anaconda_trace_hash:31f159a0461341914...
Depends On:
Blocks: F13Alpha, F13AlphaBlocker 560360
TreeView+ depends on / blocked
 
Reported: 2010-01-31 01:43 UTC by Clyde E. Kunkel
Modified: 2013-01-10 05:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 560360 (view as bug list)
Environment:
Last Closed: 2010-02-02 09:38:44 UTC


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (534.64 KB, text/plain)
2010-01-31 01:43 UTC, Clyde E. Kunkel
no flags Details

Description Clyde E. Kunkel 2010-01-31 01:43:04 UTC
The following was filed automatically by anaconda:
anaconda 13.23 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/__init__.py", line 543, in unusedMDMinors
    raidMinors.remove(array.minor)
  File "/usr/lib/anaconda/iw/partition_gui.py", line 1328, in createCB
    availminors = self.storage.unusedMDMinors
ValueError: list.remove(x): x not in list

Comment 1 Clyde E. Kunkel 2010-01-31 01:43:08 UTC
Created attachment 387797 [details]
Attached traceback automatically from anaconda.

Comment 2 Clyde E. Kunkel 2010-01-31 02:27:26 UTC
Tried to create a new LV for a F13 test in an existing VG.

Comment 3 Hans de Goede 2010-01-31 08:43:13 UTC
This should be fixed by the following patch, which should be in the next anaconda version (currently pending review):
https://www.redhat.com/archives/anaconda-devel-list/2010-January/msg00596.html

Comment 4 Hans de Goede 2010-02-02 09:38:44 UTC
This is fixed in anaconda-13.24-1, closing.


Note You need to log in before you can comment on or make changes to this bug.